import ldap
# import logging

SERVER = "ldap://localhost"
BASE_DN = "dc=alice,dc=ufsj,dc=edu,dc=br"

def authenticate(username, password):
    user_dn= f"cn={username},ou=User,{BASE_DN}"
    try:
        l = ldap.initialize(SERVER)
        l.protocol_version = ldap.VERSION3
        l.simple_bind_s(user_dn, password)
    except ldap.INVALID_CREDENTIALS:
        # logging.warning("PASSWORDS DO NOT MATCH")
        return False
    except ldap.SERVER_DOWN:
        # logging.warning("LDAP SERVER DOWN")
        return False

    return True


# authenticate('emanuels','123123')
